메인 콘텐츠로 건너뛰기
GET
/
characters
/api/v1/characters
curl --request GET \
  --url https://api.venice.ai/api/v1/characters \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "adult": false,
      "author": "k3x9q",
      "createdAt": "2024-12-20T21:28:08.934Z",
      "description": "Alan Watts (6 January 1915 – 16 November 1973) was a British and American writer, speaker, and self-styled \"philosophical entertainer\", known for interpreting and popularizing Buddhist, Taoist, and Hindu philosophy for a Western audience.",
      "featured": false,
      "id": "2f460055-7595-4640-9cb6-c442c4c869b0",
      "name": "Alan Watts",
      "shareUrl": "https://venice.ai/c/alan-watts",
      "photoUrl": "https://outerface.venice.ai/api/characters/2f460055-7595-4640-9cb6-c442c4c869b0/photo",
      "slug": "alan-watts",
      "stats": {
        "averageRating": 4.7,
        "imports": 112,
        "ratingCount": 24,
        "ratingSum": 113,
        "userRating": 123
      },
      "tags": [
        "AlanWatts",
        "Philosophy",
        "Buddhism",
        "Taoist",
        "Hindu"
      ],
      "updatedAt": "2025-02-09T03:23:53.708Z",
      "webEnabled": true,
      "modelId": "venice-uncensored-1-2"
    }
  ],
  "object": "list"
}

실험적 엔드포인트

이것은 실험적 엔드포인트이며 변경될 수 있습니다.

Postman 컬렉션

추가 예제는 이 Postman 컬렉션을 참조하세요.

인증

Authorization
string
header
필수

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

쿼리 매개변수

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
예시:
["roleplay", "philosophy"]
isAdult
enum<string>

Filter by adult content flag

사용 가능한 옵션:
true,
false
예시:

"false"

isPro
enum<string>

Filter to only show characters using pro models

사용 가능한 옵션:
true,
false
예시:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

사용 가능한 옵션:
true,
false
예시:

"true"

limit
integer
기본값:50

Number of characters to return (max: 100)

필수 범위: 0 < x <= 100
예시:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
예시:
["zai-org-glm-5-1", "kimi-k2-6"]
offset
integer | null
기본값:0

Number of characters to skip for pagination

필수 범위: x >= 0
예시:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
예시:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

사용 가능한 옵션:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
예시:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

사용 가능한 옵션:
asc,
desc
예시:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
예시:
["helpful", "productivity"]

응답

OK

data
object[]
필수
object
enum<string>
필수
사용 가능한 옵션:
list